# nessmediametadataretriever

<h1 align='center'><a href='https://github.com/nessblo/nessmediametadataretriever'>nessmediametadataretriever</a></h1>
<h4 align='center'>A Flutter plugin to read metadata of media files for Android and IOS.</h4>
<h5 align='center'>A part of <a href='https://github.com/nessblo'>Ness</a> open source project </h5>
<br></br>

## Install

Add in your `pubspec.yaml`.

```yaml
dependencies:
  ...
  nessmediametadataretriever: ^1.0.0
```

Issues are maintained [here](https://github.com/nessblo).

## Support


## Example

```dart
var metadata = await NessMetadataRetriever.fromFile(File('your file path'))

String? title = metadata.title;
List<String>? artists = metadata.artists;
String? album = metadata.album;
String? albumArtist = metadata.albumArtist;
String? path = metadata.path;
int? duration = metadata.duration;
Uint8List? albumArt = metadata.albumArt;
```

## Platforms

|Platform|Status     |
|--------|-----------|
|Android |Working    |
|IOS   |Working    |


## License

This library & work under this repository is MIT licensed.

Copyright (C) 2021 Abdoulaye M Koné <abdoulaye.m.kone@gmail.com>
